Page MenuHomePhabricator

design edits for the payments maintenance page
Closed, ResolvedPublic

Description

TBD

Current page:
F31831846

This task will also encompass the donatewiki redirect.

Event Timeline

DStrine created this task.May 18 2020, 9:00 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 18 2020, 9:00 PM

Change 597641 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[mediawiki/extensions/ContributionTracking@master] Update email address in maintenance page

https://gerrit.wikimedia.org/r/597641

Change 597641 abandoned by Ejegg:
Update email address in maintenance page

Reason:
Approved mepps's patch instead - we can use the config var after we move the special page to DonationInterface

https://gerrit.wikimedia.org/r/597641

mepps updated the task description. (Show Details)EditedMay 21 2020, 2:40 PM

We learned that the ContributionTracking extension is deployed to donatewiki so if we could do another deploy once the new design is done, using that is one options.

Otherwise, we need to redirect the Special:LandingPage and we are thinking we'll use javascript for that. We will use javascript to hide the page and redirect to paymentswiki. We are assuming this is what we're doing.

mepps added a subscriber: Pcoombe.EditedMay 21 2020, 4:32 PM

From @Pcoombe

We just discussed this. Since the payments maintenance page is not mobile friendly (https://phabricator.wikimedia.org/T253318) and a bit more difficult to edit, we agreed to use Template:Lp-layout-maintenance which keeps the user on donatewiki. I can make it fall back to the MediaWiki:Contrib-tracking-fundraiser-maintenance-notice translations for languages other than English, will work on this tomorrow.

I'm also happy to switch in the maintenance message on Monday.

@Pcoombe the copy looks is good for MG. However Caitlin pointed out that the button at the bottom is still showing our old logo. It's not a blocker but if you have another asset it might look nicer to switch that out.

@Pcoombe One last edit. Can you make it: " 23:00 UTC May 29th"

Okay, this is ready with the new time and I did a quick test to make sure it will work on Monday. Preview of what it will look like in English, in French.

For the footer there isn't a black WMF logo button yet, and there appears to be some contention about it (see T174603). I would recommend just sticking with the current one for the short term.

Thanks for this. It looks good to me. I will put this on the main email thread. Thanks!

DStrine closed this task as Resolved.May 26 2020, 8:29 PM